Subject: [Detnet] Detnet Yang Slides for the meeting

From: "Don Fedyk" <[email-masked]>
Date: Mon, 20 Jul 2020 08:38:42 -0400

Hi

I will produce the first pass slides for the Detnet meeting today.

Yeoncheol will provide the updated Yanglint sample configuration. 

Xuesong please review the slides. 

Thanks,

Don

From: Gengxuesong (Geng Xuesong) <[email-masked]> 
Sent: Monday, July 13, 2020 5:41 AM
To: Don Fedyk <[email-masked]>; 'cheol's imac' <[email-masked]>; [email-masked]
Cc: 'DetNet Chairs' <[email-masked]>
Subject: RE: DetNet YANG model discussion

Hi Don,

Thank you for doing this!

I remembered, in our last call meeting, we have decided to use the first YANG Model with the following modification:

1.      Bi-directional DetNet Service allowed in Application Instance

2.      In forwarding sub-layer, the sub-net case in next-hop should be supported

I’m not sure whether who will provide the updated YANG Model? So I could update the draft and upload it before deadline.

Best Regards

Xuesong

From: Don Fedyk [mailto:[email-masked]] 
Sent: Thursday, July 2, 2020 1:46 AM
To: 'cheol's imac' <[email-masked] <mailto:[email-masked]> >; Gengxuesong (Geng Xuesong) <[email-masked] <mailto:[email-masked]> >; 'DetNet Chairs' <[email-masked] <mailto:[email-masked]> >; [email-masked] <mailto:[email-masked]> 
Cc: Mach Chen <[email-masked] <mailto:[email-masked]> >
Subject: RE: DetNet YANG model discussion

Hi

I put a bunch of working yanglint models for  the detnet-yang first model. (I updated the model with a detnet root but otherwise it is the model straight out of the draft.)

There is a power point with some discussion items. https://github.com/detnet-wg/draft-ietf-detnet-yang/issues

Issue 15.

I will be out Thursday and Friday but I will occasionally check email. 

Cheers

Don 

From: Don Fedyk <[email-masked] <mailto:[email-masked]> > 
Sent: Tuesday, June 16, 2020 7:50 AM
To: 'cheol's imac' <[email-masked] <mailto:[email-masked]> >; 'Gengxuesong (Geng Xuesong)' <[email-masked] <mailto:[email-masked]> >; 'DetNet Chairs' <[email-masked] <mailto:[email-masked]> >; [email-masked]' <[email-masked] <mailto:[email-masked]> >
Cc: 'Mach Chen' <[email-masked] <mailto:[email-masked]> >
Subject: RE: DetNet YANG model discussion

OK as long as the xml or jason files you use came from this tool they are validated as well. I can convert them to yanglint xml by adding the namespace prefixes.  Just push any of these xml files.

Thanks

Don 

From: cheol's imac <[email-masked] <mailto:[email-masked]> > 
Sent: Tuesday, June 16, 2020 1:37 AM
To: Don Fedyk <[email-masked] <mailto:[email-masked]> >; 'Gengxuesong (Geng Xuesong)' <[email-masked] <mailto:[email-masked]> >; 'DetNet Chairs' <[email-masked] <mailto:[email-masked]> >; [email-masked] <mailto:[email-masked]> 
Cc: 'Mach Chen' <[email-masked] <mailto:[email-masked]> >
Subject: Re: DetNet YANG model discussion

Hi Don

I'm sorry. I have never used YANGLINT, so I don't know how to create a YANGLINT configuration file.

Instead, as shown in the figure below, I have attached an XML and JSON type configuration file created through software (MS-SOFT YANG Explorer and Designer) as an attachment. I hope that file can help.

Best Regards

Yeoncheol

출발: Don Fedyk <[email-masked] <mailto:[email-masked]> >
날짜: 2020년 6월 15일 월요일 오후 11:33
받는 사람: "'Gengxuesong (Geng Xuesong)'" <[email-masked] <mailto:[email-masked]> >, 'Yeoncheol Ryoo' <[email-masked] <mailto:[email-masked]> >, 'DetNet Chairs' <[email-masked] <mailto:[email-masked]> >, <[email-masked] <mailto:[email-masked]> >
참조: 'Mach Chen' <[email-masked] <mailto:[email-masked]> >
주제: RE: DetNet YANG model discussion

Hi Xuesong

Sorry we could not hear you from my side it looked like you were muted.  

Thanks for the notes. 

If Yeoncheol could publish the yanglint config files in the github repo it would help to  analyze any differences in the simple model. 

Once we get the non-aggregated case in place we should then start to look at aggregation.  By having a solid set of configuration for the current IP application MPLS Detnet brings clarity to the model.

Thanks

Don 

From: Gengxuesong (Geng Xuesong) <[email-masked] <mailto:[email-masked]> > 
Sent: Monday, June 15, 2020 9:01 AM
To: Don Fedyk <[email-masked] <mailto:[email-masked]> >; Yeoncheol Ryoo <[email-masked] <mailto:[email-masked]> >; DetNet Chairs <[email-masked] <mailto:[email-masked]> >; [email-masked] <mailto:[email-masked]> 
Cc: Mach Chen <[email-masked] <mailto:[email-masked]> >
Subject: DetNet YANG model discussion

Hi all,

I don’t know why I can’t be heard in the second half of the meeting. I have taken some notes about the main differences of these two models in today’s discussion. Please check whether this is all good. If so, I will put this on the ML. 

Best Regards

Xuesong

---

Hi WG,

After today’s discussion, we further figure out the differences between these two modes, as follows:

1.      The parameter should be designed as bi-directional or uni-directional.

2.      The parameters of “traffic specification” should be located in service sub-layer or forwarding sub-layer

3.      Encapsulation of service sub-layer should be the same all the way or could be different after replication or elimination

Best Regards

Xuesong